Data Structures | Defines | Functions

# authenticate.c File Reference

`#include "wizard/studio.h"`
`#include "wizard/authenticate.h"`
`#include "wizard/exception.h"`
`#include "wizard/exception-private.h"`
`#include "wizard/memory_.h"`
`#include "wizard/secret.h"`

## Data Structures
struct | _AuthenticateInfo
## Defines
#define | SecretKeyLength 1024
## Functions
WizardExport AuthenticateInfo * | AcquireAuthenticateInfo (const AuthenticateMethod method, const char *path, const HashType hash)
WizardExport WizardBooleanType | AuthenticateKey (AuthenticateInfo *authenticate_info, ExceptionInfo *exception)
WizardExport AuthenticateInfo * | DestroyAuthenticateInfo (AuthenticateInfo *authenticate_info)
WizardExport WizardBooleanType | GenerateAuthenticateKey (AuthenticateInfo *authenticate_info, ExceptionInfo *exception)
WizardExport const StringInfo * | GetAuthenticateId (const AuthenticateInfo *authenticate_info)
WizardExport const StringInfo * | GetAuthenticateKey (const AuthenticateInfo *authenticate_info)
WizardExport size_t | GetAuthenticateKeyLength (const AuthenticateInfo *authenticate_info)
WizardExport const char * | GetAuthenticatePassphrase (const AuthenticateInfo *authenticate_info)
WizardExport void | SetAuthenticateId (AuthenticateInfo *authenticate_info, const StringInfo *id)
WizardExport void | SetAuthenticateKeyLength (AuthenticateInfo *authenticate_info, const size_t key_length)
WizardExport void | SetAuthenticatePassphrase (AuthenticateInfo *authenticate_info, const char *passphrase)

## Define Documentation

#define SecretKeyLength 1024

Referenced by AcquireAuthenticateInfo().

## Function Documentation

WizardExport AuthenticateInfo* AcquireAuthenticateInfo | ( | const AuthenticateMethod | method,
|  | const char * | path,
|  | const HashType | hash |
| ) |  |  |

References AcquireSecretInfo(), AcquireWizardMemory(), AuthenticateDomain, EnumerateError, _AuthenticateInfo::handle, MemoryError, _AuthenticateInfo::method, ResetWizardMemory(), SecretAuthenticateMethod, SecretKeyLength, _AuthenticateInfo::signature, ThrowWizardFatalError, and _AuthenticateInfo::timestamp.

WizardExport WizardBooleanType AuthenticateKey | ( | AuthenticateInfo * | authenticate_info,
|  | ExceptionInfo * | exception |
| ) |  |  |

References AuthenticateDomain, AuthenticateSecretKey(), EnumerateError, GetWizardModule, _AuthenticateInfo::handle, LogWizardEvent(), _AuthenticateInfo::method, SecretAuthenticateMethod, _AuthenticateInfo::signature, ThrowWizardFatalError, TraceEvent, WizardAssert, and WizardSignature.

WizardExport AuthenticateInfo* DestroyAuthenticateInfo | ( | AuthenticateInfo * | authenticate_info | ) |

References AuthenticateDomain, DestroySecretInfo(), EnumerateError, GetWizardModule, _AuthenticateInfo::handle, LogWizardEvent(), _AuthenticateInfo::method, RelinquishWizardMemory(), SecretAuthenticateMethod, _AuthenticateInfo::signature, ThrowWizardFatalError, TraceEvent, WizardAssert, and WizardSignature.

WizardExport WizardBooleanType GenerateAuthenticateKey | ( | AuthenticateInfo * | authenticate_info,
|  | ExceptionInfo * | exception |
| ) |  |  |

References AuthenticateDomain, EnumerateError, GenerateSecretKey(), GetWizardModule, _AuthenticateInfo::handle, LogWizardEvent(), _AuthenticateInfo::method, SecretAuthenticateMethod, _AuthenticateInfo::signature, ThrowWizardFatalError, TraceEvent, WizardAssert, WizardFalse, and WizardSignature.

WizardExport const StringInfo* GetAuthenticateId | ( | const AuthenticateInfo * | authenticate_info | ) |

References AuthenticateDomain, EnumerateError, GetSecretId(), GetWizardModule, _AuthenticateInfo::handle, LogWizardEvent(), _AuthenticateInfo::method, SecretAuthenticateMethod, _AuthenticateInfo::signature, ThrowWizardFatalError, TraceEvent, WizardAssert, and WizardSignature.

WizardExport const StringInfo* GetAuthenticateKey | ( | const AuthenticateInfo * | authenticate_info | ) |

References AuthenticateDomain, EnumerateError, GetSecretKey(), GetWizardModule, _AuthenticateInfo::handle, LogWizardEvent(), _AuthenticateInfo::method, SecretAuthenticateMethod, _AuthenticateInfo::signature, ThrowWizardFatalError, TraceEvent, WizardAssert, and WizardSignature.

WizardExport size_t GetAuthenticateKeyLength | ( | const AuthenticateInfo * | authenticate_info | ) |

References AuthenticateDomain, EnumerateError, GetSecretKeyLength(), GetWizardModule, _AuthenticateInfo::handle, LogWizardEvent(), _AuthenticateInfo::method, SecretAuthenticateMethod, _AuthenticateInfo::signature, ThrowWizardFatalError, TraceEvent, WizardAssert, and WizardSignature.

WizardExport const char* GetAuthenticatePassphrase | ( | const AuthenticateInfo * | authenticate_info | ) |

References AuthenticateDomain, EnumerateError, GetSecretPassphrase(), GetWizardModule, _AuthenticateInfo::handle, LogWizardEvent(), _AuthenticateInfo::method, SecretAuthenticateMethod, _AuthenticateInfo::signature, ThrowWizardFatalError, TraceEvent, WizardAssert, and WizardSignature.

WizardExport void SetAuthenticateId | ( | AuthenticateInfo * | authenticate_info,
|  | const StringInfo * | id |
| ) |  |  |

References AuthenticateDomain, EnumerateError, GetWizardModule, _AuthenticateInfo::handle, LogWizardEvent(), _AuthenticateInfo::method, SecretAuthenticateMethod, SetSecretId(), _AuthenticateInfo::signature, ThrowWizardFatalError, TraceEvent, WizardAssert, and WizardSignature.

WizardExport void SetAuthenticateKeyLength | ( | AuthenticateInfo * | authenticate_info,
|  | const size_t | key_length |
| ) |  |  |

References AuthenticateDomain, GetWizardModule, _AuthenticateInfo::handle, LogWizardEvent(), _AuthenticateInfo::method, SecretAuthenticateMethod, SetSecretKeyLength(), _AuthenticateInfo::signature, TraceEvent, WizardAssert, and WizardSignature.

WizardExport void SetAuthenticatePassphrase | ( | AuthenticateInfo * | authenticate_info,
|  | const char * | passphrase |
| ) |  |  |

References AuthenticateDomain, GetWizardModule, _AuthenticateInfo::handle, LogWizardEvent(), _AuthenticateInfo::method, SecretAuthenticateMethod, SetSecretPassphrase(), _AuthenticateInfo::signature, TraceEvent, WizardAssert, and WizardSignature.